PDA

View Full Version : SLES11 SP1-Error Compiling Intel 10Gb ethernet module



mgumbau
26-Apr-2014, 16:54
Hi,
after update my SLES 11 SP1 from kernel 2.6.32.12-0.7-default to 2.6.32.59-0.7-default I cannot compile my ixgbe-3.21.2 (Intel 10Gb ethernet module).

$ cd /opt/ixgbe-3.21.2/src
$ make install
Makefile:117: *** Linux kernel source not configured - missing version header file. Stop.

Coul be that I haven't the proper kernel-headers file for my kernel?
I have tried to find in my repos and was not possible.

My repos
# | Alias | Name | Enabled | Refresh
---+--------------------------------------------------+--------------------------------------------------+---------+--------
1 | SLES11SP1-downloaded-packages | SLES11SP1-downloaded-packages | Yes | Yes
2 | SLES11SP1_X86_64 | SLES11SP1_X86_64_DVD1 | Yes | No
3 | SLES11SP1_X86_64_DVD2 | SLES11SP1_X86_64_DVD2 | Yes | No
4 | nu_novell_com:SLE11-SP1-Debuginfo-Pool | SLE11-SP1-Debuginfo-Pool | Yes | Yes
5 | nu_novell_com:SLE11-SP1-Debuginfo-Updates | SLE11-SP1-Debuginfo-Updates | Yes | Yes
6 | nu_novell_com:SLES11-SP1-Pool | SLES11-SP1-Pool | Yes | Yes
7 | nu_novell_com:SLES11-SP1-Updates | SLES11-SP1-Updates | Yes | Yes


$ uname -a
Linux data 2.6.32.59-0.7-default #1 SMP 2012-07-13 15:50:56 +0200 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | grep headers
linux-kernel-headers-2.6.32-1.4.13


Thanks in advance.

malcolmlewis
26-Apr-2014, 17:13
On Sat 26 Apr 2014 04:04:01 PM CDT, mgumbau wrote:


Hi,
after update my SLES 11 SP1 from kernel 2.6.32.12-0.7-default to
2.6.32.59-0.7-default I cannot compile my ixgbe-3.21.2 (Intel 10Gb
ethernet module).

$ CD /OPT/IXGBE-3.21.2/SRC
*$ make install*
Makefile:117: *** Linux kernel source not configured - missing version
header file. Stop.

Coul be that I haven't the proper kernel-headers file for my kernel?
I have tried to find in my repos and was not possible.

MY REPOS
# | Alias | Name
| Enabled | Refresh
---+--------------------------------------------------+--------------------------------------------------+---------+--------
1 | SLES11SP1-downloaded-packages |
SLES11SP1-downloaded-packages | Yes | Yes
2 | SLES11SP1_X86_64 |
SLES11SP1_X86_64_DVD1 | Yes | No
3 | SLES11SP1_X86_64_DVD2 |
SLES11SP1_X86_64_DVD2 | Yes | No
4 | nu_novell_com:SLE11-SP1-Debuginfo-Pool |
SLE11-SP1-Debuginfo-Pool | Yes | Yes
5 | nu_novell_com:SLE11-SP1-Debuginfo-Updates |
SLE11-SP1-Debuginfo-Updates | Yes | Yes
6 | nu_novell_com:SLES11-SP1-Pool | SLES11-SP1-Pool
| Yes | Yes
7 | nu_novell_com:SLES11-SP1-Updates |
SLES11-SP1-Updates | Yes | Yes


$ UNAME -A
Linux data 2.6.32.59-0.7-default #1 SMP 2012-07-13 15:50:56 +0200 x86_64
x86_64 x86_64 GNU/Linux
$ RPM -QA | GREP HEADERS
linux-kernel-headers-2.6.32-1.4.13


Thanks in advance.




Hi
The linux-kernel-headers don'y change over kernel-releases , so as long
as in this case it's 2.6.32 all should be fine, now is make, gcc,
kernel-source and kernel-syms installed?

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-7-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

mgumbau
26-Apr-2014, 17:39
Thanks Malcolm,
yes I have installed all packages you proposes me.

I have solved just for a miunute symlinking two files in /lib/modules/`uname -r`/build/include

autoconf.h -> /usr/src/linux-2.6.32.59-0.7/include/linux/autoconf.h
version.h -> /usr/src/linux-2.6.32.59-0.7/include/linux/version.h

Now the compilation say:
################################################## #########################################
$ make install
make -C /lib/modules/2.6.32.59-0.7-default/build SUBDIRS=/opt/intel/x520-t2/ixgbe-3.21.2/src modules
make[1]: Entering directory `/usr/src/linux-2.6.32.59-0.7-obj/x86_64/default'
make -C /usr/src/linux-2.6.32.59-0.7 O=/usr/src/linux-2.6.32.59-0.7-obj/x86_64/default/. modules

ERROR: Kernel configuration is invalid.
include/linux/autoconf.h or include/config/auto.conf are missing.
Run 'make oldconfig && make prepare' on kernel src to fix it.
...
################################################## #########################################

I have executed 'make oldconfig && make prepare' and the files were created but continue saying the same ERROR.

mgumbau
26-Apr-2014, 18:22
Finally I was able to compile the driver.


1.- execute three comands in /usr/src/linux

$ make oldconfig
$ make prepare
$ make scripts

2.- create symlynks in /lib/modules/`uname -r`/scripts:

basic -> /usr/src/linux/scripts/basic
mod -> /usr/src/linux/scripts/mod

Thanks for the support to malcolmlewis.

SOLVED.